import { jsx as r } from "../../../../../external/.pnpm/preact@10.28.2/node_modules/preact/jsx-runtime/dist/jsxRuntime.module.js";
import { useMemo as p } from "../../../../../external/.pnpm/preact@10.28.2/node_modules/preact/hooks/dist/hooks.module.js";
import { TimelineItem as a } from "../../../../internal/Timeline/components/TimelineItem.js";
import f from "../../../../internal/Timeline/Timeline.js";
import { TimelineDateFormat as l } from "../../../../internal/Timeline/types.js";
import { getStatus as T, getDescriptionKey as u, getTitleKey as d } from "./utils.js";
import g from "../../../../../core/Context/preact/useCoreContext.js";
const E = ({ activities: t }) => {
  const { i18n: m } = g(), i = p(
    () => t.map((e) => ({
      titleKey: d(e),
      descriptionKey: u(e),
      date: e.date,
      status: T(e)
    })),
    [t]
  );
  return /* @__PURE__ */ r(f, { children: i.map(({ titleKey: e, date: o, status: n, descriptionKey: s }) => /* @__PURE__ */ r(
    a,
    {
      title: m.get(e),
      timestamp: {
        date: new Date(o),
        format: l.FULL_DATE_EXACT_TIME
      },
      status: n,
      description: m.get(s)
    },
    o
  )) });
};
export {
  E as PaymentLinkActivity
};
